package com.brilliance.isc.bo.lc;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lttamep extends AbstractCommonVo {

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //Beneficiary's Confirmation Required
    private  String benconflg = NULLSTR;

    //Request of Amendment Send to
    private  String ramrol = NULLSTR;

    //Amendment Accepted by Beneficiary
    private  String benaccflg = NULLSTR;

    //Number of Amendment
    private  int amenbr;

    //change of engagement:
    private  BigDecimal engamt = Decimals.ZERO_SCALE3;

    //New Maximum Amount
    private  BigDecimal maxamt = Decimals.ZERO_SCALE3;

    private Lcramep lcrdocamep;

    private Lcramep spcbenamep;

    private Lcramep spcrcbamep;

    private Lcramep lcrgodamep;

    private Lcramep adlcndamep;

    @Override
    public void reset() {
        if (lcrdocamep == null) {
            lcrdocamep = new Lcramep();
        }
        if (spcbenamep == null) {
            spcbenamep = new Lcramep();
        }
        if (spcrcbamep == null) {
            spcrcbamep = new Lcramep();
        }
        if (lcrgodamep == null) {
            lcrgodamep = new Lcramep();
        }
        if (adlcndamep == null) {
            adlcndamep = new Lcramep();
        }
    }
}
